# Yattee
Video player with support for [Invidious](https://github.com/iv-org/invidious) and [Piped](https://github.com/TeamPiped/Piped) instances built for iOS, macOS and tvOS.

## Features
* Native user interface built with [SwiftUI](https://developer.apple.com/xcode/swiftui/)
* Multiple instances and accounts, fast switching
* [SponsorBlock](https://sponsor.ajay.app/) with selection of categories to skip
* Player queue and history
* Fullscreen playback and Picture in Picture
* Stream quality selection
* Favorites: customizable section of channels, playlists, trending and other views
* AirPlay support
* Safari Extension for macOS and iOS for redirecting to the app
* URL Scheme for easy integrations

### Availability
| Feature  | Invidious | Piped |
| -------  | --------- | ------|
| User Accounts | ✅ | 🔴 |
| Subscriptions | ✅ | 🔴 |
| Popular | ✅ | 🔴 |
| User Playlists | ✅ | 🔴 |
| Trending | ✅ | ✅ |
| Channels | ✅ | ✅ |
| Channel Playlists | ✅ | ✅ |
| Search | ✅ | ✅ |
| Search Suggestions | ✅ | ✅ |

## Installation

## Integrations
### Safari
Builtin extension
### Firefox
[Privacy Redirect](https://github.com/SimonBrazell/privacy-redirect)
### macOS

[Finicky](https://github.com/johnste/finicky)
## Tips
### Settings
* [tvOS] To open settings press Play/Pause button while hovering over navigation menu or video
### Navigation
* [iOS] Swipe the player/title bar: up to open fullscreen details view, bottom to close fullscreen details or hide player
### Favorites
* Add more sections by pressing button with heart on channels, playlists and other pages
* [iOS/macOS] Reorganize with dragging and dropping
* [iOS/macOS] Remove section with right click/press and hold on section name
* [tvOS] Reorganize and remove from `Settings > Edit Favorites...`
### Keyboard shortcuts
* `Command+P` - Play/Pause
* `Command+N` - Play next in the queue
* `Command+O` - Open player view
